
ROOTCFLAGS   := $(shell root-config --cflags)
ROOTLIBS     := $(shell root-config --libs)
ROOTGLIBS    := $(shell root-config --glibs)

GSLCFLAGS   := $(shell gsl-config --cflags)
GSLLIBS     := $(shell gsl-config --libs)
GSLGLIBS    := $(shell gsl-config --glibs)


LDFLAGS       = -O
LIBS         += $(ROOTLIBS) $(GSLLIBS)
CFLAGS       += $(ROOTCFLAGS) $(GSLCFLAGS) #-std=gnu++11 

#  Not sure why Minuit isn't being included -- put in by hand
#
LIBS         += -lMinuit


all: convert_clean hit_analyse



hit_analyse: hit_analyse.o
	g++ -o hit_analyse  hit_analyse.o $(LDFLAGS) $(LIBS)

%.o: %.c
	g++ ${CFLAGS} -c  -g $<


convert_clean: convert_clean.o
	g++ -o convert_clean  convert_clean.o $(LDFLAGS) $(LIBS)

%.o: %.c
	g++ ${CFLAGS} -c  -g $<


test:
	@echo $(ROOTCFLAGS) 
	@echo $(LDFLAGS) 
	@echo $(LIBS)

clean:	
	-rm -f  *.o

